package com.yihu.jw.entity.care.lifeCare;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/**
* 工单取消记录实体
*
* Created by yeshijie on 2021/3/29.
*
*/
@Entity
@Table(name = "base_life_care_cancel_log")
public class LifeCareCancelLogDO extends UuidIdentityEntity {

    /**
	 * 工单id
	 */
	private String orderId;

    /**
	 * 居民code
	 */
	private String patient;

    /**
	 * 取消类型：1-调度员取消，2-居民取消
	 */
	private Integer cancelType;

    /**
	 * 取消理由
	 */
	private String cancelReason;

    /**
	 * 取消时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	private Date time;


	@Column(name = "order_id")
    public String getOrderId() {
        return orderId;
    }
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

	@Column(name = "patient")
    public String getPatient() {
        return patient;
    }
    public void setPatient(String patient) {
        this.patient = patient;
    }

	@Column(name = "cancel_type")
    public Integer getCancelType() {
        return cancelType;
    }
    public void setCancelType(Integer cancelType) {
        this.cancelType = cancelType;
    }

	@Column(name = "cancel_reason")
    public String getCancelReason() {
        return cancelReason;
    }
    public void setCancelReason(String cancelReason) {
        this.cancelReason = cancelReason;
    }

	@Column(name = "time")
    public Date getTime() {
        return time;
    }
    public void setTime(Date time) {
        this.time = time;
    }

}